Last modified: 2011-04-30 01:21:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19669 - PHP warning on opening 'my preferences'
PHP warning on opening 'my preferences'
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
User preferences (Other open bugs)
1.15.x
Macintosh Mac OS X 10.4
: Normal minor (vote)
: ---
Assigned To: Andrew Garrett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 23:45 UTC by Walter Wm. Hofheinz
Modified: 2011-04-30 01:21 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Walter Wm. Hofheinz 2009-07-11 23:45:49 UTC
This is a new installation on this machine. Prior installations of earlier versions do not have this bug (versions 1.11.0 and 1.13.2).  PHP version 5.1.6, Linux zebra2 2.6.9-78.0.13.plus.c4smp #1 SMP Tue Jan 20 22:12:33 EST 2009 i686

On opening 'my preferences' from any account (including WikiSysop) the following warning is received:

<b>Warning</b>:  urlencode() expects parameter 1 to be string, object given in <b>/export/www/freemanforjp.org/htdocs/wiki/includes/GlobalFunctions.php</b> on line <b>1198</b><br />

Page opens and seems to be fully functional, with overwrite of the warning.
Comment 1 Niklas Laxström 2009-07-12 09:16:10 UTC
Backtrace for that warning would be nice, hard to debug without. It might be that newer versions of PHP do not give this warning because automatic (Object) to string conversion.
Comment 2 Brion Vibber 2009-07-19 19:16:41 UTC
Prefs; assigning to Andrew's queue.
Comment 3 Alexandre Emsenhuber [IAlex] 2009-07-23 20:02:28 UTC
This was fixed in r52371 (included in MediaWiki 1.15.1).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links